#include<Windows.h>
#include<stdio.h>
#include<stdlib.h>

int main(void) {

	char *message = NULL;

	message = (char *)malloc(100);

	memset((void *)message, 0x0, 100);

	sprintf(message, "I am secure");

	printf("PID: %d Message: %s Addr: %p\n", GetCurrentProcessId(), message, message);

	getchar();

	printf("Message: %s Addr: %p\n", message, message);

	getchar();

	return 0;
}